[arch-commits] Commit in rep-gtk/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun May 3 16:59:41 EDT 2009


    Date: Sunday, May 3, 2009 @ 16:59:41
  Author: jgc
Revision: 37785

Merged revisions 37783 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/rep-gtk/trunk

........
  r37783 | jgc | 2009-05-03 22:55:47 +0200 (Sun, 03 May 2009) | 2 lines
  
  upgpkg: rep-gtk 0.18.5-1
      Remove libglade dependency, it is no longer included
........

Modified:
  rep-gtk/repos/extra-i686/	(properties)
  rep-gtk/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)


Property changes on: rep-gtk/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /rep-gtk/trunk:1-34486
   + /rep-gtk/trunk:1-37784

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-03 20:56:04 UTC (rev 37784)
+++ extra-i686/PKGBUILD	2009-05-03 20:59:41 UTC (rev 37785)
@@ -2,19 +2,19 @@
 # Maintainer: Juergen Hoetzel <juergen at archlinux.org>
 
 pkgname=rep-gtk
-pkgver=0.18.4
+pkgver=0.18.5
 pkgrel=1
 pkgdesc="Binding of the GTK and GDK libraries for the librep Lisp environment"
 arch=('i686' 'x86_64')
 url="http://rep-gtk.sourceforge.net/"
 license=('GPL')
-depends=('librep' 'libglade')
-source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2)
-md5sums=('00d76536b2aae604d1dbedbbe622b8b2')
+depends=('librep>=0.17.3' 'gtk2>=2.16.1')
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('da2560cff3363ea6d580f7dfc277e365')
 
 build() {
-  cd $srcdir/$pkgname-$pkgver
-  ./configure --prefix=/usr --with-libglade
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$pkgdir install
+  make DESTDIR="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list